Revision history [back]

click to hide/show revision 1
initial version

libvirt issue on CentOS 7 with Kilo

I'm trying to set up a compute node on CentOS 7 with the Kilo version. My machine has hardware virtualization. However when I try to start up the opestack-nova-compute service, I get the below in the log file.

2015-05-26 10:46:29.227 7683 TRACE nova.virt.libvirt.host libvirtError: no connection driver available for qemu:///system

I have all the libvirt packages below installed on the system. I've played around with the 'virt_type' parameter in the nova.conf file and it won't work unless I set it for lxc! I don't want lxc, I want kvm at least for now.

[root@anders-21 nova]# yum list | grep libvirt libvirt.x86_64 1.2.8-16.el7_1.3 @updates libvirt-client.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-config-network.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-config-nwfilter.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-driver-interface.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-driver-lxc.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-driver-network.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-driver-nodedev.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-driver-nwfilter.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-driver-qemu.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-driver-secret.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-driver-storage.x86_64 1.2.8-16.el7_1.3 @updates libvirt-daemon-kvm.x86_64 1.2.8-16.el7_1.3 @updates libvirt-devel.x86_64 1.2.8-16.el7_1.3 @updates libvirt-docs.x86_64 1.2.8-16.el7_1.3 @updates libvirt-gconfig.x86_64 0.1.7-3.el7 @CENTOS70 libvirt-glib.x86_64 0.1.7-3.el7 @CENTOS70 libvirt-gobject.x86_64 0.1.7-3.el7 @CENTOS70 libvirt-java.noarch 0.4.9-4.el7 @CENTOS70 libvirt-java-devel.noarch 0.4.9-4.el7 @CENTOS70 libvirt-python.x86_64 1.2.8-7.el7_1.1 @updates

Any ideas?

libvirt issue on CentOS 7 with Kilo

I'm trying to set up a compute node on CentOS 7 with the Kilo version. My machine has hardware virtualization. However when I try to start up the opestack-nova-compute service, I get the below in the log file.

2015-05-26 10:46:29.227 7683 TRACE nova.virt.libvirt.host libvirtError: no connection driver available for qemu:///system

qemu:///system

I have all the libvirt packages below installed on the system. I've played around with the 'virt_type' parameter in the nova.conf file and it won't work unless I set it for lxc! I don't want lxc, I want kvm at least for now.

[root@anders-21 nova]# yum list | grep libvirt
libvirt.x86_64                          1.2.8-16.el7_1.3               @updates 
libvirt-client.x86_64                   1.2.8-16.el7_1.3               @updates 
libvirt-daemon.x86_64                   1.2.8-16.el7_1.3               @updates 
libvirt-daemon-config-network.x86_64    1.2.8-16.el7_1.3               @updates 
libvirt-daemon-config-nwfilter.x86_64   1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-interface.x86_64  1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-lxc.x86_64        1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-network.x86_64    1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-nodedev.x86_64    1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-nwfilter.x86_64   1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-qemu.x86_64       1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-secret.x86_64     1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-storage.x86_64    1.2.8-16.el7_1.3               @updates 
libvirt-daemon-kvm.x86_64               1.2.8-16.el7_1.3               @updates 
libvirt-devel.x86_64                    1.2.8-16.el7_1.3               @updates 
libvirt-docs.x86_64                     1.2.8-16.el7_1.3               @updates 
libvirt-gconfig.x86_64                  0.1.7-3.el7                    @CENTOS70
libvirt-glib.x86_64                     0.1.7-3.el7                    @CENTOS70
libvirt-gobject.x86_64                  0.1.7-3.el7                    @CENTOS70
libvirt-java.noarch                     0.4.9-4.el7                    @CENTOS70
libvirt-java-devel.noarch               0.4.9-4.el7                    @CENTOS70
libvirt-python.x86_64                   1.2.8-7.el7_1.1                @updates 

@updates

Any ideas?

libvirt issue on CentOS 7 with Kilo

I tried the following, but it fails. I believe I have everything that needs to be installed, right?

[root@anders-21 ~]# virsh --connect qemu:///system error: failed to connect to the hypervisor error: no connection driver available for qemu:///system [root@anders-21 ~]# yum list | grep qemu ipxe-roms-qemu.noarch 20130517-5.gitc4bce43.el7 @CENTOS70 libvirt-daemon-driver-qemu.x86_64 1.2.8-16.el7_1.3 @updates qemu-guest-agent.x86_64 10:1.5.3-60.el7_0.11 @updates qemu-img.x86_64 10:1.5.3-60.el7_0.11 @updates qemu-kvm.x86_64 10:1.5.3-60.el7_0.11 @updates qemu-kvm-common.x86_64 10:1.5.3-60.el7_0.11 @updates

I'm trying to set up a compute node on CentOS 7 with the Kilo version. My machine has hardware virtualization. However when I try to start up the opestack-nova-compute service, I get the below in the log file.

2015-05-26 10:46:29.227 7683 TRACE nova.virt.libvirt.host libvirtError: no connection driver available for qemu:///system

I have all the libvirt packages below installed on the system. I've played around with the 'virt_type' parameter in the nova.conf file and it won't work unless I set it for lxc! I don't want lxc, I want kvm at least for now.

[root@anders-21 nova]# yum list | grep libvirt
libvirt.x86_64                          1.2.8-16.el7_1.3               @updates 
libvirt-client.x86_64                   1.2.8-16.el7_1.3               @updates 
libvirt-daemon.x86_64                   1.2.8-16.el7_1.3               @updates 
libvirt-daemon-config-network.x86_64    1.2.8-16.el7_1.3               @updates 
libvirt-daemon-config-nwfilter.x86_64   1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-interface.x86_64  1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-lxc.x86_64        1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-network.x86_64    1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-nodedev.x86_64    1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-nwfilter.x86_64   1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-qemu.x86_64       1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-secret.x86_64     1.2.8-16.el7_1.3               @updates 
libvirt-daemon-driver-storage.x86_64    1.2.8-16.el7_1.3               @updates 
libvirt-daemon-kvm.x86_64               1.2.8-16.el7_1.3               @updates 
libvirt-devel.x86_64                    1.2.8-16.el7_1.3               @updates 
libvirt-docs.x86_64                     1.2.8-16.el7_1.3               @updates 
libvirt-gconfig.x86_64                  0.1.7-3.el7                    @CENTOS70
libvirt-glib.x86_64                     0.1.7-3.el7                    @CENTOS70
libvirt-gobject.x86_64                  0.1.7-3.el7                    @CENTOS70
libvirt-java.noarch                     0.4.9-4.el7                    @CENTOS70
libvirt-java-devel.noarch               0.4.9-4.el7                    @CENTOS70
libvirt-python.x86_64                   1.2.8-7.el7_1.1                @updates

Any ideas?